Bug 967220 - pybliographer pkg /usr/bin/pybtex conflicts with pybtex package executable
pybliographer pkg /usr/bin/pybtex conflicts with pybtex package executable
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pybliographer (Show other bugs)
18
All All
unspecified Severity high
: ---
: ---
Assigned To: Zoltan Kota
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 12:12 EDT by michael.prisant
Modified: 2013-08-30 05:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 05:45:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file for python-pybtex build (5.12 KB, text/x-rpm-spec)
2013-05-25 12:12 EDT, michael.prisant
no flags Details

  None (edit)
Description michael.prisant 2013-05-25 12:12:08 EDT
Created attachment 753127 [details]
spec file for python-pybtex build

Description of problem:

pybliographer package script /usr/bin/pybtex name is the same as pybtex package executable complicating installation of both packages. In pybliographer, pybtex is a supplementary script which extracts references from latex documents; in pybtex it is the "key" executable.  Could the maintainer rename the script to something like pyblio-pybtex 

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Create spec file for pybtex
2. rpmbuild
3. yum localinstall

Actual results:
yum --nogpgcheck localinstall ../RPMS/i386/python-pybtex-0.16-1.fc18.i386.rpm

...

file /usr/bin/pybtex from install of python-pybtex-0.16-1.fc18.i386 conflicts with file from package pybliographer-1.2.15-4.fc18.noarch

Expected results:
Installation

Additional info:
Comment 1 Zoltan Kota 2013-07-09 08:17:42 EDT
Upstream maintainer contacted. The issue hopefully will be solved there.

Note You need to log in before you can comment on or make changes to this bug.